Data Fields

# VehicleCache Struct Reference

Cached often queried values common to all vehicles. More...

`#include <vehicle_base.h>`

## Data Fields
uint16 | cached_max_speed
| Maximum speed of the consist (minimum of the max speed of all vehicles in the consist).
uint16 | cached_cargo_age_period
| Number of ticks before carried cargo is aged.
byte | cached_vis_effect
| Visual effect to show (see VisualEffect).

## Detailed Description

Cached often queried values common to all vehicles.

Definition at line 104 of file vehicle_base.h.

The documentation for this struct was generated from the following file:

- src/vehicle_base.h